/*
 * Inlcude file for match cone target.
 *
 * Copyright (C) 2009, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: ipt_cone.h,v 1.1 2010-02-04 03:07:56 Exp $
 */

#ifndef	IPT_CONE_H
#define IPT_CONE_H

struct ip_conntrack *find_appropriate_cone(const struct ip_conntrack_tuple *tuple);
void ipt_cone_replace_in_hashes(struct ip_conntrack *conntrack);
void ipt_cone_cleanup_conntrack(struct ip_conntrack *conntrack);
unsigned int ipt_cone_target(struct sk_buff **pskb, unsigned int hooknum,
	const struct net_device *in, const struct net_device *out,
	const void *targinfo, void *userinfo);

#endif	/* IPT_CONE_H */
